#!/bin/sh
set -eux
#podman pull debian:stable
DIR="$(mktemp -d)"
git archive --format=tar HEAD | tar -C "$DIR" -xvf -
chmod a+rx "$DIR"
podman run --tty --sig-proxy --cidfile="$DIR/.cid" -v "$DIR:/bogofilter:z" debian:stable sh -uexc '
    apt-get update -y &&
    apt-get upgrade -y &&
    apt-get install -y --no-install-recommends build-essential autoconf automake pkg-config libtool libgsl-dev liblmdb-dev flex gawk perl rsync lynx diffutils xmlto git opensp sgml-data libxml2-utils w3c-sgml-lib &&
    cd bogofilter &&
    autoreconf -sivf &&
    mkdir _build && 
    cd _build && 
    ../configure --with-database=lmdb &&
    export VERBOSE=-x
    make V=1 check -j || { cat src/tests/test-suite.log ; exit 1 ; } &&
    make distcheck V=1 DISTCHECK_CONFIGURE_FLAGS=--with-database=lmdb -j
'
if test -r "$DIR/.cid" ; then
	podman container rm --cidfile="$DIR"/.cid
fi
