#!/bin/sh
set -xue
podman pull fedora:rawhide
exec podman run -t --sig-proxy fedora:rawhide sh -xc \
	'dnf upgrade -y --refresh &&
	dnf install automake awk flex gcc git sqlite-devel gsl-devel diffutils xmlto -y && 
	git clone https://gitlab.com/bogofilter/bogofilter.git && 
	cd bogofilter/bogofilter && 
	autoreconf -svif && 
	./configure --with-database=sqlite3 && 
	{ make -j check && src/bogofilter -V ; } || { cat src/tests/test-suite.log ; exit 1 ;}'
